Subject: [quicwg/base-drafts] QPACK Auth48 edits (PR #4982)

From: Mike Bishop <[email-masked]>
Date: Mon, 04 Apr 2022 14:28:49 -0700

This PR contains, as best I can, the content and XML changes made by the RFC Editor during Auth48, including those I disagree with.  I&#39;ll note and propose reversions where appropriate.

Things not addressed:

- In Section 1.2, the RFC Editor added `indent=9` to the `&lt;dl&gt;` tag; I&#39;m not sure how to do that from Markdown
- The change in #4980 was pulled out into a separate issue.
You can view, comment on, or merge this pull request online at:

  https://github.com/quicwg/base-drafts/pull/4982

-- Commit Summary --

  * Differences in text output
  * More edits, particularly regarding XML
  * Acknowledgements in RFC9000 style

-- File Changes --

    M rfc9114.md (2)
    R rfc9204.md (286)

-- Patch Links --

https://github.com/quicwg/base-drafts/pull/4982.patch
https://github.com/quicwg/base-drafts/pull/4982.diff

-- 
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/4982
You are receiving this because you are subscribed to this thread.

Message ID: &lt;quicwg/base-drafts/pull/[email-masked]&gt;

---

From: Mike Bishop <[email-masked]>
Date: Mon, 04 Apr 2022 14:31:50 -0700

@MikeBishop commented on this pull request.

> @@ -657,14 +640,14 @@ HPACK defines string literals to begin on a byte boundary.  They begin with a
 single bit flag, denoted as 'H' in this document (indicating whether the string
 is Huffman-coded), followed by the Length encoded as a 7-bit prefix integer, and
 finally Length bytes of data. When Huffman encoding is enabled, the Huffman
-table from {{Section B of RFC7541}} is used without modification and Length
+table from {{Section B of RFC7541}} is used without modification, and Length

```suggestion
table from {{Section B of RFC7541}} is used without modification and Length
```
Since the Huffman table isn't a parenthetical phrase, I'm not sure adding this comma makes sense.

> @@ -928,9 +911,9 @@ The encoder transforms the Required Insert Count as follows before encoding:
 
 Here `MaxEntries` is the maximum number of entries that the dynamic table can

On lines 912-920, the RFC Editor text output does not have quotes, but (as with the HTTP/3 AUTH48) this appears to be a tooling difference rather than a deliberate change.  The XML matches.

>  individual characters. An attacker can only learn whether a guess is correct or
-not, so is reduced to a brute force guess for the field values associated with a
-given field name.
+not, so it is reduced to a brute-force guess for the field values associated

```suggestion
not, so the attacker is reduced to a brute-force guess for the field values associated
```
The suggested "it" is ambiguous between the attacker and the guess.

> @@ -1395,7 +1378,7 @@ immediately sent due to flow control is not affected by this limit.
 Implementations should limit the size of unsent data, especially on the decoder
 stream where flexibility to choose what to send is limited.  Possible responses
 to an excess of unsent data might include limiting the ability of the peer to
-open new streams, reading only from the encoder stream, or closing the
+open new streams, reading only from the encoder stream or closing the

```suggestion
open new streams, reading only from the encoder stream, or closing the
```
This is a list of three possible mitigations; I believe the Oxford comma is appropriate.

-- 
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/4982#pullrequestreview-930973915
You are receiving this because you are subscribed to this thread.

Message ID: <quicwg/base-drafts/pull/4982/review/[email-masked]>

---

From: Martin Thomson <[email-masked]>
Date: Mon, 04 Apr 2022 14:39:43 -0700

@martinthomson commented on this pull request.

Note that back ticks result in a change to monospace font in HTML but no other decoration. This is a recent change in xml2rfc, so you might be seeing changes in the diff.

-- 
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/4982#discussion_r842161564
You are receiving this because you are subscribed to this thread.

Message ID: <quicwg/base-drafts/pull/4982/review/[email-masked]>

---

From: Mike Bishop <[email-masked]>
Date: Fri, 15 Apr 2022 12:29:37 -0700

@MikeBishop pushed 1 commit.

05708bdec93c6baf3e879bb0ac89cbfae037b79a  My suggested modifications

-- 
View it on GitHub:
https://github.com/quicwg/base-drafts/pull/4982/files/1323b8ac881fe3f9123823a9e87bf0ec5d9bf466..05708bdec93c6baf3e879bb0ac89cbfae037b79a
You are receiving this because you are subscribed to this thread.

Message ID: <quicwg/base-drafts/pull/4982/push/[email-masked]>

---

From: Mike Bishop <[email-masked]>
Date: Fri, 15 Apr 2022 12:30:18 -0700

8cabfdb5b586fe01ef4abe938262b596a5870bb2  My suggested modifications

-- 
View it on GitHub:
https://github.com/quicwg/base-drafts/pull/4982/files/05708bdec93c6baf3e879bb0ac89cbfae037b79a..8cabfdb5b586fe01ef4abe938262b596a5870bb2
You are receiving this because you are subscribed to this thread.

Message ID: <quicwg/base-drafts/pull/4982/push/[email-masked]>